/*
 * Created on Oct 22, 2003
 */
package isac.util.formulae;

import java.io.Serializable;

/**
 * @author rgradisc
 */
public class CalcHeadItem implements Serializable {
  protected String itemStatus;
  protected String mathText;  

  /** Format the object in a way that the bridge can handle it 
  *  @return SML representation
  */
  public String toSMLString() {
    return mathText;
  }

  public void setText(String mathText) {
    this.mathText = mathText;
  }

  /**
  	 * @param status new status of this CalcHead element
  	 * 
  	 * @see CalcHead
  	 * @see CalcHead.MODEL_ITEM_CORRECT
  	 * @see CalcHead.MODEL_ITEM_INCORRECT
  	 * @see CalcHead.MODEL_ITEM_SYNTAXERROR
  	 * @see CalcHead.MODEL_ITEM_INCOMPLETE
  	 * @see CalcHead.MODEL_ITEM_FALSE  
  	 */
  public int getStatus() {    
    if (itemStatus.equals("correct")) {
      return (CalcHead.MODEL_ITEM_CORRECT);
    } else if (itemStatus.equals("incorrect")) {
      return (CalcHead.MODEL_ITEM_INCORRECT);
    } else if (itemStatus.equals("syntaxerror")) {
      return (CalcHead.MODEL_ITEM_SYNTAXERROR);
    } else if (itemStatus.equals("incomplete")) {
      return (CalcHead.MODEL_ITEM_INCOMPLETE);
    } else if (itemStatus.equals("false")) {
      return (CalcHead.MODEL_ITEM_FALSE);
    }
    return -1;
  }

  public String getItemStatus() {
    return itemStatus;
  }

  public void setItemStatus(String string) {
    itemStatus = string;    
  }

}
